public class MyMap {

    MySet set;
    ArrayList arrayList;

    public MyMap() {
        set = new MySet();
        arrayList = new ArrayList();
    }


    public void add(Object key, Object value) {
        set.add(key);
        arrayList.add(value);
    }

    public int size() {
        return set.size();
    }

    public void clear() {
        set.clear();
        arrayList.clear();
    }

    public boolean containsKey(Object o) {
        return set.contains(o);
    }

    public boolean containsValue(Object o) {
        return arrayList.contains(o);
    }

    public Object[][] entrySet() {
        Object[][] entrySet = new Object[set.size()][2];
        for (int i = 0; i < set.size(); i++) {
            entrySet[i] = new Object[]{set.get(i), arrayList.get(i)};
        }
        return entrySet;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof MyMap) {
            MyMap compareMap = (MyMap) obj;
            for (int i = 0; i < set.size(); i++) {
                for (int j = 0; j < 2; j++) {
                    if (compareMap.entrySet()[j][i] == this.entrySet()[j][i]) {
                        return true;
                    }
                    return false;
                }
            }
        }
        return false;
    }

    public Object get(Object key) {
        for (int i = 0; i < set.size(); i++) {
            if (key == set.get(i)) {
                return arrayList.getArr()[i];
            }
        }
        return -1;
    }

    public Object getOrDefault(Object key, Object o) {
        for (int i = 0; i < set.size(); i++) {
            if (key == set.get(i)) {
                return arrayList.getArr()[i];
            }
        }
        return o;
    }

    public boolean isEmpty() {
        if(set.isEmpty() && arrayList.isEmpty()){return true;}
        return false;
    }


    public void remove(Object key) {
        for(int i=0; i<set.size(); i++){
            if(set.getArr()[i]==key){
                set.remove(i);
                arrayList.remove(i);
            }
        }
    }

    public void replace(Object key, Object value) {
        for(int i=0; i<set.size(); i++){
            if(set.getArr()[i]==key){
                arrayList.getArr()[i]=value;
            }
        }
    }

    public Object[] valueSet() {
        return set.getArr();
    }
}



